Store DockerHub Container Registry credentials
curl --request POST \
--url https://api-eu.cybedefend.com/integrations/dockerhub/container-registry/organization/{organizationId}/credentials \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "097bbbf4-d1eb-4512-9950-684445279808",
"dockerhubUsername": "myusername",
"accessToken": "dckr_pat_xxxxxxxxxxxxxxxxxxxx",
"description": "Production registry access"
}
'import requests
url = "https://api-eu.cybedefend.com/integrations/dockerhub/container-registry/organization/{organizationId}/credentials"
payload = {
"projectId": "097bbbf4-d1eb-4512-9950-684445279808",
"dockerhubUsername": "myusername",
"accessToken": "dckr_pat_xxxxxxxxxxxxxxxxxxxx",
"description": "Production registry access"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '097bbbf4-d1eb-4512-9950-684445279808',
dockerhubUsername: 'myusername',
accessToken: 'dckr_pat_xxxxxxxxxxxxxxxxxxxx',
description: 'Production registry access'
})
};
fetch('https://api-eu.cybedefend.com/integrations/dockerhub/container-registry/organization/{organizationId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"dockerhubUsername": "myusername",
"registryUrl": "https://index.docker.io/v1/",
"createdAt": "2025-01-01T00:00:00Z",
"description": "Production registry access"
}Docker Hub
Store DockerHub Container Registry credentials
Stores DockerHub Personal Access Token credentials at organization level. The credentials will be encrypted and stored securely.
POST
/
integrations
/
dockerhub
/
container-registry
/
organization
/
{organizationId}
/
credentials
Store DockerHub Container Registry credentials
Path Parameters
CybeDefend organization ID
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
DockerHub credentials to store
CybeDefend project ID to associate this credential with
Example:
"097bbbf4-d1eb-4512-9950-684445279808"
DockerHub username or organization
Example:
"myusername"
DockerHub Personal Access Token (PAT)
Example:
"dckr_pat_xxxxxxxxxxxxxxxxxxxx"
Description for this credential
Example:
"Production registry access"
Response
Credentials stored successfully
Credential ID
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
DockerHub username or organization
Example:
"myusername"
Registry URL
Example:
"https://index.docker.io/v1/"
Creation date
Example:
"2025-01-01T00:00:00Z"
Description
Example:
"Production registry access"
⌘I